/* CPUInformation.h created by stephane on Wed 16-Aug-2000 */

#import <AppKit/AppKit.h>

#include <mach/machine.h>
#include <mach/mach_types.h>
#include <mach/processor_info.h>

@interface CPUInformation : NSObject
{
    host_t	host_;
    unsigned int CPUNumber_;
    
    NSString 	* CPUName_;
    long 	  CPUFrequency_;

    unsigned long oldCPULoad_[CPU_STATE_MAX];
    unsigned long CPULoad_[CPU_STATE_MAX];
}

- (id) initWithCPU:(processor_basic_info_data_t) inInfo CPUNumber:(unsigned int) inCPUNumber;

- (NSString *) CPUName;
- (long) CPUFrequency;
- (unsigned long *) CPULoad;

@end
